﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace Memoriajáték
{
	/// <summary>
	/// Interaction logic for wndKerdez.xaml
	/// </summary>
	public partial class wndKérdés : Window
	{
		public wndKérdés()
		{
			InitializeComponent();
		}
		/// <summary>
		/// Lehetővé teszi a párbeszédablakban megjelenített kép beállítását.
		/// </summary>
		public BitmapImage biKép
		{
			set { imKép.Source = value; }
		}
		/// <summary>
		/// -1 -es értéket ad vissza, amennyiben a felhasználó nem választott egyetlen 
		/// RadioButton-t se az első csoportból, egyéb esetben pedig visszaadja a kiválasztott 
		/// RadioButton sorszámát (0..7).
		/// </summary>
		public int ElsőSorszám
		{
			get
			{
				int ssz = -1;
				for (int i = 0; i < wpElső.Children.Count; i++)
				{
					if ((wpElső.Children[i] as RadioButton)?.IsChecked==true)
					{
						ssz = i;
					}
				}
				return ssz;
			}
		}
		/// <summary>
		/// -1 -es értéket ad vissza, amennyiben a felhasználó nem választott egyetlen 
		/// RadioButton-t se a második csoportból, egyéb esetben pedig visszaadja a kiválasztott 
		/// RadioButton sorszámát (0..7).
		/// </summary>
		public int MásodikSorszám
		{
			get
			{
				int ssz = -1;
				for (int i = 0; i < wpMásodik.Children.Count; i++)
				{
					if ((wpMásodik.Children[i] as RadioButton)?.IsChecked == true)
					{
						ssz = i;
					}
				}
				return ssz;
			}
		}

		/// <summary>
		/// OK gombon történő kattintás esetén megviszgálja, hogy van-e kiválasztott RadioButton. 
		/// Ha nincs, akkor hibaüzenettel választásra készteti a felhasználót, ha van, akkor
		/// engedélyezi a párbeszédablak lezárását.
		/// </summary>
		/// <param name="sender"></param>
		/// <param name="e"></param>
		private void btOK_Click(object sender, RoutedEventArgs e)
		{
			if (ElsőSorszám != -1 && MásodikSorszám != -1)
				DialogResult = true;
			else
				MessageBox.Show("Előszőr válaszd ki a két pozíciót!");
		}
	}
}
